# Available Modules

## Bio

| Module | Description |
| ------ | ----------- |
()
| [almost](http://www-almost.ch.cam.ac.uk/site) | all atom molecular simulation toolkit - is a fast and flexible molecular modeling environment that provides powerful and efficient algorithms for molecular simulation, homology modeling, de novo design and ab-initio calculations. |
()
| bowtie2 | &nbsp; |
()
| [GROMACS](http://www.gromacs.org) | GROMACS is a versatile package to perform molecular dynamics, i.e. simulate the Newtonian equations of motion for systems with hundreds to millions of particles. |
()
| [PLUMED](http://www.plumed-code.org) | PLUMED is an open source library for free energy calculations in molecular systems which works together with some of the most popular molecular dynamics engines. Free energy calculations can be performed as a function of many order parameters with a particular focus on biological problems, using state of the art methods such as metadynamics, umbrella sampling and Jarzynski-equation based steered MD. The software, written in C++, can be easily interfaced with both fortran and C/C++ codes. |

## Cae

| Module | Description |
| ------ | ----------- |
()
| COMSOL | &nbsp; |
()
| deMonNano | &nbsp; |
()
| OpenFOAM | &nbsp; |

## Chem

| Module | Description |
| ------ | ----------- |
()
| ABINIT | &nbsp; |
()
| cp2k-mpi | &nbsp; |
()
| lammps | &nbsp; |
()
| libxc | &nbsp; |
()
| molpro | &nbsp; |
()
| namd | &nbsp; |
()
| NWChem | &nbsp; |
()
| [ORCA](http://cec.mpg.de/forum/) | ORCA is a flexible, efficient and easy-to-use general purpose tool for quantum chemistry with specific emphasis on spectroscopic properties of open-shell molecules. It features a wide variety of standard quantum chemical methods ranging from semiempirical methods to DFT to single- and multireference correlated ab initio methods. It can also treat environmental and relativistic effects. |
()
| [PLUMED](http://www.plumed-code.org) | PLUMED is an open source library for free energy calculations in molecular systems which works together with some of the most popular molecular dynamics engines. Free energy calculations can be performed as a function of many order parameters with a particular focus on biological problems, using state of the art methods such as metadynamics, umbrella sampling and Jarzynski-equation based steered MD. The software, written in C++, can be easily interfaced with both fortran and C/C++ codes. |
()
| QuantumESPRESSO | &nbsp; |
()
| [xdrfile](http://www.gromacs.org/Developer_Zone/Programming_Guide/XTC_Library) | XTC library |

## Compiler

| Module | Description |
| ------ | ----------- |
()
| bupc | &nbsp; |
()
| chicken | &nbsp; |
()
| gcc | &nbsp; |
()
| GCC | &nbsp; |
()
| [GCCcore](http://gcc.gnu.org/) | The GNU Compiler Collection includes front ends for C, C++, Objective-C, Fortran, Java, and Ada, as well as libraries for these languages (libstdc++, libgcj,...). |
()
| gupc | &nbsp; |
()
| [icc](http://software.intel.com/en-us/intel-compilers/) | C and C++ compiler from Intel |
()
| [ifort](http://software.intel.com/en-us/intel-compilers/) | Fortran compiler from Intel |
()
| ispc | &nbsp; |
()
| java | &nbsp; |
()
| LLVM | &nbsp; |

## Data

| Module | Description |
| ------ | ----------- |
()
| [GDAL](http://www.gdal.org/) | GDAL is a translator library for raster geospatial data formats that is released under an X/MIT style Open Source license by the Open Source Geospatial Foundation. As a library, it presents a single abstract data model to the calling application for all supported formats. It also comes with a variety of useful commandline utilities for data translation and processing. |
()
| [HDF5](http://www.hdfgroup.org/HDF5/) | HDF5 is a unique technology suite that makes possible the management of extremely large and complex data collections. |
()
| netCDF | &nbsp; |
()
| netCDF-Fortran | &nbsp; |

## Debugger

| Module | Description |
| ------ | ----------- |
()
| [Forge](http://www.allinea.com/products/develop-allinea-forge) | Allinea Forge is the complete toolsuite for software development - with everything needed to debug, profile, optimize, edit and build C, C++ and FORTRAN applications on Linux for high performance - from single threads through to complex parallel HPC codes with MPI, OpenMP, threads or CUDA. |
()
| [PerformanceReports](http://www.allinea.com/products/allinea-performance-reports) | Allinea Performance Reports are the most effective way to characterize and understand the performance of HPC application runs. One single-page HTML report elegantly answers a range of vital questions for any HPC site. - Is this application well-optimized for the system and the processors it is running on? - Does it benefit from running at this scale? - Are there I/O, networking or threading bottlenecks affecting performance? - Which hardware, software or configuration changes can we make to improve performance further. - How much energy did this application use? |

## Devel

| Module | Description |
| ------ | ----------- |
()
| [Autoconf](http://www.gnu.org/software/autoconf/) | Autoconf is an extensible package of M4 macros that produce shell scripts to automatically configure software source code packages. These scripts can adapt the packages to many kinds of UNIX-like systems without manual user intervention. Autoconf creates a configuration script for a package from a template file that lists the operating system features that the package can use, in the form of M4 macro calls. |
()
| [Automake](http://www.gnu.org/software/automake/automake.html) | Automake: GNU Standards-compliant Makefile generator |
()
| [Autotools](http://autotools.io) | This bundle collect the standard GNU build tools: Autoconf, Automake and libtool |
()
| Bazel | &nbsp; |
()
| [Boost](http://www.boost.org/) | Boost provides free peer-reviewed portable C++ source libraries. |
()
| [CMake](http://www.cmake.org) | CMake, the cross-platform, open-source build system. CMake is a family of tools designed to build, test and package software. |
()
| Doxygen | &nbsp; |
()
| [fontsproto](http://www.freedesktop.org/wiki/Software/xlibs) | X11 font extension wire protocol |
()
| GObject-Introspection | &nbsp; |
()
| gperf | &nbsp; |
()
| [guile](http://www.gnu.org/software/guile) | Guile is the GNU Ubiquitous Intelligent Language for Extensions, the official extension language for the GNU operating system. |
()
| [libSM](http://www.freedesktop.org/wiki/Software/xlibs) | X11 Session Management library, which allows for applications to both manage sessions, and make use of session managers to save and restore their state for later use. |
()
| [M4](http://www.gnu.org/software/m4/m4.html) | GNU M4 is an implementation of the traditional Unix macro processor. It is mostly SVR4 compatible although it has some extensions (for example, handling more than 9 positional parameters to macros). GNU M4 also has built-in functions for including files, running shell commands, doing arithmetic, etc. |
()
| [make](http://www.gnu.org/software/make/make.html) | make-3.82: GNU version of make utility |
()
| [makedepend](http://www.linuxfromscratch.org/blfs/view/svn/x/makedepend.html) | The makedepend package contains a C-preprocessor like utility to determine build-time dependencies. |
()
| Mako | &nbsp; |
()
| Maven | &nbsp; |
()
| [ncurses](http://www.gnu.org/software/ncurses/) | The Ncurses (new curses) library is a free software emulation of curses in System V Release 4.0, and more. It uses Terminfo format, supports pads and color and multiple highlights and forms characters and function-key mapping, and has all the other SYSV-curses enhancements over BSD Curses. |
()
| [PCRE](http://www.pcre.org/) | The PCRE library is a set of functions that implement regular expression pattern matching using the same syntax and semantics as Perl 5. |
()
| [pkg-config](http://www.freedesktop.org/wiki/Software/pkg-config/) | pkg-config is a helper tool used when compiling applications and libraries. It helps you insert the correct compiler options on the command line so an application can use gcc -o test test.c `pkg-config --libs --cflags glib-2.0` for instance, rather than hard-coding values on where to find glib (or other libraries). |
()
| Qt | &nbsp; |
()
| Qt5 | &nbsp; |
()
| [renderproto](http://www.freedesktop.org/wiki/Software/xlibs) | Xrender protocol and ancillary headers |
()
| [SCons](http://www.scons.org/) | SCons is a software construction tool. |
()
| [SQLite](http://www.sqlite.org/) | SQLite: SQL Database Engine in a C Library |
()
| SWIG | &nbsp; |
()
| [xbitmaps](http://www.freedesktop.org/wiki/Software/xlibs) | provides bitmaps for x |
()
| [xcb-proto](http://xcb.freedesktop.org/) | The X protocol C-language Binding (XCB) is a replacement for Xlib featuring a small footprint, latency hiding, direct access to the protocol, improved threading support, and extensibility. |
()
| xcb-util | &nbsp; |
()
| xcb-util-image | &nbsp; |
()
| xcb-util-keysyms | &nbsp; |
()
| xcb-util-renderutil | &nbsp; |
()
| xcb-util-wm | &nbsp; |
()
| [xextproto](http://www.freedesktop.org/wiki/Software/xlibs) | XExtProto protocol headers. |
()
| [xineramaproto](http://www.freedesktop.org/wiki/Software/xlibs) | X protocol and ancillary headers for xinerama |
()
| [xorg-macros](http://cgit.freedesktop.org/xorg/util/macros) | X.org macros utilities. |
()
| xproto | &nbsp; |
()
| [xtrans](http://www.freedesktop.org/wiki/Software/xlibs) | xtrans includes a number of routines to make X implementations transport-independent; at time of writing, it includes support for UNIX sockets, IPv4, IPv6, and DECnet. |

## Engineering

| Module | Description |
| ------ | ----------- |
()
| adams | &nbsp; |
()
| beopest | &nbsp; |
()
| blender | &nbsp; |
()
| Code_Saturne | &nbsp; |
()
| comsol | &nbsp; |
()
| digimat | &nbsp; |
()
| Discovery_Studio | &nbsp; |
()
| dytran | &nbsp; |
()
| fds | &nbsp; |
()
| hypermesh | &nbsp; |
()
| hyperworks | &nbsp; |
()
| lsdyna | &nbsp; |
()
| lsprepost | &nbsp; |
()
| lux | &nbsp; |
()
| marc | &nbsp; |
()
| matlab | &nbsp; |
()
| maxwell | &nbsp; |
()
| modflow-2005 | &nbsp; |
()
| modflow-nwt | &nbsp; |
()
| nastran | &nbsp; |
()
| openfoam | &nbsp; |
()
| paraview | &nbsp; |
()
| pest | &nbsp; |
()
| wien2k | &nbsp; |

## Environments

| Module | Description |
| ------ | ----------- |
()
| bullxde | &nbsp; |
()
| PrgEnv-gnu | &nbsp; |
()
| PrgEnv-intel | &nbsp; |

## Geo

| Module | Description |
| ------ | ----------- |
()
| Doris | &nbsp; |

## Init

| Module | Description |
| ------ | ----------- |

## Lang

| Module | Description |
| ------ | ----------- |
()
| [Bison](http://www.gnu.org/software/bison) | Bison is a general-purpose parser generator that converts an annotated context-free grammar into a deterministic LR or generalized LR (GLR) parser employing LALR(1) parser tables. |
()
| [byacc](http://invisible-island.net/byacc/byacc.html) | Berkeley Yacc (byacc) is generally conceded to be the best yacc variant available. In contrast to bison, it is written to avoid dependencies upon a particular compiler. |
()
| [flex](http://flex.sourceforge.net/) | Flex (Fast Lexical Analyzer) is a tool for generating scanners. A scanner, sometimes called a tokenizer, is a program which recognizes lexical patterns in text. |
()
| [Java](http://java.com/) | Java Platform, Standard Edition (Java SE) lets you develop and deploy Java applications on desktops and servers. |
()
| [libgdiplus](https://github.com/mono/libgdiplus) | An Open Source implementation of the GDI+ API. |
()
| [Lua](http://www.lua.org/) | Lua is a powerful, fast, lightweight, embeddable scripting language. Lua combines simple procedural syntax with powerful data description constructs based on associative arrays and extensible semantics. Lua is dynamically typed, runs by interpreting bytecode for a register-based virtual machine, and has automatic memory management with incremental garbage collection, making it ideal for configuration, scripting, and rapid prototyping. |
()
| Mono | &nbsp; |
()
| NASM | &nbsp; |
()
| OpenCL-runtime | &nbsp; |
()
| Perl | &nbsp; |
()
| Python | &nbsp; |
()
| R | &nbsp; |
()
| [Ruby](https://www.ruby-lang.org) | Ruby is a dynamic, open source programming language with a focus on simplicity and productivity. It has an elegant syntax that is natural to read and easy to write. |
()
| Tcl | &nbsp; |

## Lib

| Module | Description |
| ------ | ----------- |
()
| Embree | &nbsp; |
()
| freeglut | &nbsp; |
()
| libdrm | &nbsp; |
()
| libevent | &nbsp; |
()
| [libffi](http://sourceware.org/libffi/) | The libffi library provides a portable, high level programming interface to various calling conventions. This allows a programmer to call any function specified by a call interface description at run-time. |
()
| [libfontenc](http://www.freedesktop.org/wiki/Software/xlibs/) | X11 font encoding library |
()
| libgd | &nbsp; |
()
| [libjpeg-turbo](http://sourceforge.net/projects/libjpeg-turbo/) | libjpeg-turbo is a fork of the original IJG libjpeg which uses SIMD to accelerate baseline JPEG compression and decompression. libjpeg is a library that implements JPEG image encoding, decoding and transcoding. |
()
| [libmatheval](http://www.gnu.org/software/libmatheval/) | GNU libmatheval is a library (callable from C and Fortran) to parse and evaluate symbolic expressions input as text. |
()
| libpng | &nbsp; |
()
| [libpthread-stubs](http://xcb.freedesktop.org/) | The X protocol C-language Binding (XCB) is a replacement for Xlib featuring a small footprint, latency hiding, direct access to the protocol, improved threading support, and extensibility. |
()
| [libreadline](http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html) | The GNU Readline library provides a set of functions for use by applications that allow users to edit command lines as they are typed in. Both Emacs and vi editing modes are available. The Readline library includes additional functions to maintain a list of previously-entered command lines, to recall and perhaps reedit those lines, and perform csh-like history expansion on previous commands. |
()
| libsndfile | &nbsp; |
()
| LIBSVM | &nbsp; |
()
| [LibTIFF](http://www.remotesensing.org/libtiff/) | tiff: Library and tools for reading and writing TIFF data files |
()
| libtool | &nbsp; |
()
| [libunistring](http://www.gnu.org/software/libunistring/) | This library provides functions for manipulating Unicode strings and for manipulating C strings according to the Unicode standard. |
()
| libxcb | &nbsp; |
()
| libxml2 | &nbsp; |
()
| nettle | &nbsp; |
()
| PROJ | &nbsp; |
()
| [SIONlib](http://www.fz-juelich.de/ias/jsc/EN/Expertise/Support/Software/SIONlib/_node.html) | SIONlib is a scalable I/O library for parallel access to task-local files. The library not only supports writing and reading binary data to or from several thousands of processors into a single or a small number of physical files, but also provides global open and close functions to access SIONlib files in parallel. This package provides a stripped-down installation of SIONlib for use with performance tools (e.g., Score-P), with renamed symbols to avoid conflicts when an application using SIONlib itself is linked against a tool requiring a different SIONlib version. |
()
| [spGPU](https://github.com/davidebarbieri/spgpu) | spGPU is a set of custom matrix storages and CUDA kernels for sparse linear algebra computing on GPU. It isn't a replacement for cuBLAS/cuSPARSE that should be used for a full featured linear algebra environment on GPU. |
()
| tbb | &nbsp; |
()
| Tensorflow | &nbsp; |
()
| zlib | &nbsp; |

## Libraries

| Module | Description |
| ------ | ----------- |
()
| adios | &nbsp; |
()
| dataspaces | &nbsp; |
()
| fftw2 | &nbsp; |
()
| fftw2-mpi | &nbsp; |
()
| fftw3 | &nbsp; |
()
| fftw3-mpi | &nbsp; |
()
| gpi2 | &nbsp; |
()
| gsl | &nbsp; |
()
| hdf5 | &nbsp; |
()
| hdf5-parallel | &nbsp; |
()
| ipp | &nbsp; |
()
| magma | &nbsp; |
()
| mkl | &nbsp; |
()
| mxml | &nbsp; |
()
| netcdf | &nbsp; |
()
| netcdf-cxx | &nbsp; |
()
| netcdf-fortran | &nbsp; |
()
| netcdf-parallel | &nbsp; |
()
| opencl-rt | &nbsp; |
()
| opencl-sdk | &nbsp; |
()
| petsc | &nbsp; |
()
| plasma | &nbsp; |
()
| szip | &nbsp; |
()
| tbb | &nbsp; |
()
| trilinos | &nbsp; |

## Math

| Module | Description |
| ------ | ----------- |
()
| Eigen | &nbsp; |
()
| GEOS | &nbsp; |
()
| [GMP](http://gmplib.org/) | GMP is a free library for arbitrary precision arithmetic, operating on signed integers, rational numbers, and floating point numbers. |
()
| [ISL](http://isl.gforge.inria.fr/) | isl is a library for manipulating sets and relations of integer points bounded by linear constraints. |
()
| libcerf | &nbsp; |
()
| METIS | &nbsp; |
()
| [MLD2P4](http://www.mld2p4.it) | MLD2P4 (Multi-Level Domain Decomposition Parallel Preconditioners Package based on PSBLAS) is a package of parallel algebraic multi-level preconditioners. It implements various versions of one-level additive and of multi-level additive and hybrid Schwarz algorithms. In the multi-level case, a purely algebraic approach is applied to generate coarse-level corrections, so that no geometric background is needed concerning the matrix to be preconditioned. The matrix is assumed to be square, real or complex, with a symmetric sparsity pattern. |
()
| MPFR | &nbsp; |
()
| [numpy](http://www.numpy.org) | NumPy is the fundamental package for scientific computing with Python. It contains among other things: a powerful N-dimensional array object, sophisticated (broadcasting) functions, tools for integrating C/C++ and Fortran code, useful linear algebra, Fourier transform, and random number capabilities. Besides its obvious scientific uses, NumPy can also be used as an efficient multi-dimensional container of generic data. Arbitrary data-types can be defined. This allows NumPy to seamlessly and speedily integrate with a wide variety of databases. |
()
| [Octave](http://www.gnu.org/software/octave/) | GNU Octave is a high-level interpreted language, primarily intended for numerical computations. |
()
| [PSBLAS](http://people.uniroma2.it/salvatore.filippone/psblas/) | Most computationally intensive applications work on irregular and sparse domains that complicate their implementation on parallel machines. The major goal of the Parallel Sparse Basic Linear Algebra Subroutines (PSBLAS) project is to provide a framework to enable easy, efficient and portable implementations of iterative solvers for linear systems, while shielding the user from most details of their parallelization. The interface is designed keeping in view a Single Program Multiple Data programming model on distributed memory machines. |
()
| [PSBLAS-ext](http://people.uniroma2.it/salvatore.filippone/psblas/) | PSBLAS - Extended formats and NVIDIA GPU support |
()
| Qhull | &nbsp; |
()
| [ScientificPython](https://sourcesup.cru.fr/projects/scientific-py/) | ScientificPython is a collection of Python modules for scientific computing. It contains support for geometry, mathematical functions, statistics, physical units, IO, visualization, and parallelization. |
()
| SCOTCH | &nbsp; |

## Mpi

| Module | Description |
| ------ | ----------- |
()
| bullxmpi | &nbsp; |
()
| impi | &nbsp; |
()
| lam | &nbsp; |
()
| [MPICH](http://www.mpich.org/) | MPICH v3.x is an open source high-performance MPI 3.0 implementation. It does not support InfiniBand (use MVAPICH2 with InfiniBand devices). |
()
| mvapich2 | &nbsp; |
()
| [OpenMPI](http://www.open-mpi.org/) | The Open MPI Project is an open source MPI-2 implementation. |
()
| openmpi | &nbsp; |

## Numlib

| Module | Description |
| ------ | ----------- |
()
| [Armadillo](http://arma.sourceforge.net/) | Armadillo is an open-source C++ linear algebra library (matrix maths) aiming towards a good balance between speed and ease of use. Integer, floating point and complex numbers are supported, as well as a subset of trigonometric and statistics functions. |
()
| [arpack-ng](http://forge.scilab.org/index.php/p/arpack-ng/) | ARPACK is a collection of Fortran77 subroutines designed to solve large scale eigenvalue problems. |
()
| [ATLAS](http://math-atlas.sourceforge.net) | ATLAS (Automatically Tuned Linear Algebra Software) is the application of the AEOS (Automated Empirical Optimization of Software) paradigm, with the present emphasis on the Basic Linear Algebra Subprograms (BLAS), a widely used, performance-critical, linear algebra kernel library. |
()
| CGAL | &nbsp; |
()
| Clp | &nbsp; |
()
| cuDNN | &nbsp; |
()
| [FFTW](http://www.fftw.org) | FFTW is a C subroutine library for computing the discrete Fourier transform (DFT) in one or more dimensions, of arbitrary input size, and of both real and complex data. |
()
| [GSL](http://www.gnu.org/software/gsl/) | The GNU Scientific Library (GSL) is a numerical library for C and C++ programmers. The library provides a wide range of mathematical routines such as random number generators, special functions and least-squares fitting. |
()
| imkl | &nbsp; |
()
| LIBLINEAR | &nbsp; |
()
| MPI-LIBLINEAR | &nbsp; |
()
| NLopt | &nbsp; |
()
| [OpenBLAS](http://xianyi.github.com/OpenBLAS/) | OpenBLAS is an optimized BLAS library based on GotoBLAS2 1.13 BSD version. |
()
| PETSc | &nbsp; |
()
| qrupdate | &nbsp; |
()
| [ScaLAPACK](http://www.netlib.org/scalapack/) | The ScaLAPACK (or Scalable LAPACK) library includes a subset of LAPACK routines redesigned for distributed memory MIMD parallel computers. |
()
| SLEPc | &nbsp; |
()
| SuiteSparse | &nbsp; |

## Omics

| Module | Description |
| ------ | ----------- |
()
| fastqc | &nbsp; |
()
| gatk | &nbsp; |
()
| hpg-aligner | &nbsp; |
()
| hpg-fastq | &nbsp; |
()
| hpg-variant | &nbsp; |
()
| ngsPipeline | &nbsp; |
()
| picard | &nbsp; |
()
| samtools | &nbsp; |
()
| snpEff | &nbsp; |

## Perf

| Module | Description |
| ------ | ----------- |
()
| Advisor | &nbsp; |
()
| Cube | &nbsp; |
()
| [OPARI2](http://www.score-p.org) | OPARI2, the successor of Forschungszentrum Juelich's OPARI, is a source-to-source instrumentation tool for OpenMP and hybrid codes. It surrounds OpenMP directives and runtime library calls with calls to the POMP2 measurement interface. |
()
| [OTF2](http://www.score-p.org) | The Open Trace Format 2 is a highly scalable, memory efficient event trace data format plus support library. It is the new standard trace format for Scalasca, Vampir, and TAU and is open for other tools. |
()
| [PAPI](http://icl.cs.utk.edu/projects/papi/) | PAPI provides the tool designer and application engineer with a consistent interface and methodology for use of the performance counter hardware found in most major microprocessors. PAPI enables software engineers to see, in near real time, the relation between software performance and processor events. In addition Component PAPI provides access to a collection of components that expose performance measurement opportunites across the hardware and software stack. |
()
| PDT | &nbsp; |
()
| Scalasca | &nbsp; |
()
| Score-P | &nbsp; |
()
| [Vampir](http://www.vampir.eu) | The Vampir software tool provides an easy-to-use framework that enables developers to quickly display and analyze arbitrary program behavior at any level of detail. The tool suite implements optimized event analysis algorithms and customizable displays that enable fast and interactive rendering of very complex performance monitoring data. |

## Phys

| Module | Description |
| ------ | ----------- |
()
| [phono3py](http://python.org/) | Python is a programming language that lets you work more quickly and integrate your systems more effectively. |
()
| [phonopy](http://python.org/) | Python is a programming language that lets you work more quickly and integrate your systems more effectively. |
()
| Siesta | &nbsp; |
()
| VASP | &nbsp; |

## Prace

| Module | Description |
| ------ | ----------- |
()
| GLOBUS | &nbsp; |
()
| PRACE | &nbsp; |

## System

| Module | Description |
| ------ | ----------- |
()
| CUDA | &nbsp; |
()
| [hwloc](http://www.open-mpi.org/projects/hwloc/) | The Portable Hardware Locality (hwloc) software package provides a portable abstraction (across OS, versions, architectures, ...) of the hierarchical topology of modern architectures, including NUMA memory nodes, sockets, shared caches, cores and simultaneous multithreading. It also gathers various system attributes such as cache and memory information as well as the locality of I/O devices such as network interfaces, InfiniBand HCAs or GPUs. It primarily aims at helping applications with gathering information about modern computing hardware so as to exploit it accordingly and efficiently. |
()
| [libpciaccess](http://cgit.freedesktop.org/xorg/lib/libpciaccess/) | Generic PCI access library. |

## Toolchain

| Module | Description |
| ------ | ----------- |
()
| [foss]((none)) | GNU Compiler Collection (GCC) based compiler toolchain, including OpenMPI for MPI support, OpenBLAS (BLAS and LAPACK support), FFTW and ScaLAPACK. |
()
| [gimkl]((none)) | GNU Compiler Collection (GCC) based compiler toolchain, next to Intel MPI and Intel MKL (BLAS, (Sca)LAPACK, FFTW). |
()
| [gimpi]((none)) | GNU Compiler Collection (GCC) based compiler toolchain, next to Intel MPI. |
()
| [GNU](http://www.gnu.org/software/) | Compiler-only toolchain with GCC and binutils. |
()
| [gompi]((none)) | GNU Compiler Collection (GCC) based compiler toolchain, including OpenMPI for MPI support. |
()
| [iccifort](http://software.intel.com/en-us/intel-cluster-toolkit-compiler/) | Intel C, C++ and Fortran compilers |
()
| [iimpi](http://software.intel.com/en-us/intel-cluster-toolkit-compiler/) | Intel C/C++ and Fortran compilers, alongside Intel MPI. |
()
| intel | &nbsp; |
()
| iomkl | &nbsp; |
()
| iompi | &nbsp; |

## Tools

| Module | Description |
| ------ | ----------- |
()
| advisor_xe | &nbsp; |
()
| ANSYS | &nbsp; |
()
| [APR](http://apr.apache.org/) | Apache Portable Runtime (APR) libraries. |
()
| [APR-util](http://apr.apache.org/) | Apache Portable Runtime (APR) util libraries. |
()
| [Bash](http://www.gnu.org/software/bash) | Bash is an sh-compatible command language interpreter that executes commands read from the standard input or from a file. Bash also incorporates useful features from the Korn and C shells (ksh and csh). |
()
| [binutils](http://directory.fsf.org/project/binutils/) | binutils: GNU binary utilities |
()
| [bzip2](http://www.bzip.org/) | bzip2 is a freely available, patent free, high-quality data compressor. It typically compresses files to within 10% to 15% of the best available techniques (the PPM family of statistical compressors), whilst being around twice as fast at compression and six times faster at decompression. |
()
| cmake | &nbsp; |
()
| cube | &nbsp; |
()
| [cURL](http://curl.haxx.se) | libcurl is a free and easy-to-use client-side URL transfer library, supporting DICT, FILE, FTP, FTPS, Gopher, HTTP, HTTPS, IMAP, IMAPS, LDAP, LDAPS, POP3, POP3S, RTMP, RTSP, SCP, SFTP, SMTP, SMTPS, Telnet and TFTP. libcurl supports SSL certificates, HTTP POST, HTTP PUT, FTP uploading, HTTP form based upload, proxies, cookies, user+password authentication (Basic, Digest, NTLM, Negotiate, Kerberos), file transfer resume, http proxy tunneling and more. |
()
| EasyBuild | &nbsp; |
()
| elmer | &nbsp; |
()
| [expat](http://expat.sourceforge.net/) | Expat is an XML parser library written in C. It is a stream-oriented parser in which an application registers handlers for things the parser might find in the XML document (like start tags) |
()
| Ghostscript | &nbsp; |
()
| git | &nbsp; |
()
| GLPK | &nbsp; |
()
| gnuplot | &nbsp; |
()
| grace | &nbsp; |
()
| [gzip](http://www.gnu.org/software/gzip/) | gzip (GNU zip) is a popular data compression program as a replacement for compress |
()
| help2man | &nbsp; |
()
| inspector_xe | &nbsp; |
()
| intelpcm | &nbsp; |
()
| ipm | &nbsp; |
()
| itac | &nbsp; |
()
| [JOE](http://joe-editor.sourceforge.net) | JOE is a full featured terminal-based screen editor which is distributed under the GNU General Public License (GPL) |
()
| likwid | &nbsp; |
()
| Lmod | &nbsp; |
()
| MATLAB | &nbsp; |
()
| memoryscape | &nbsp; |
()
| [Mercurial](http://mercurial.selenic.com/) | Mercurial is a free, distributed source control management tool. It efficiently handles projects of any size and offers an easy and intuitive interface. |
()
| mercurial | &nbsp; |
()
| MIKE | &nbsp; |
()
| mono | &nbsp; |
()
| mpi.net | &nbsp; |
()
| [numactl](http://oss.sgi.com/projects/libnuma/) | The numactl program allows you to run your application program on specific cpu's and memory nodes. It does this by supplying a NUMA memory policy to the operating system before running your program. The libnuma library provides convenient ways for you to add NUMA memory policies into your own program. |
()
| octave | &nbsp; |
()
| opari2 | &nbsp; |
()
| openssh-x509 | &nbsp; |
()
| oscar-modules | &nbsp; |
()
| otf2 | &nbsp; |
()
| papi | &nbsp; |
()
| parallel | &nbsp; |
()
| python | &nbsp; |
()
| R | &nbsp; |
()
| racket | &nbsp; |
()
| relion | &nbsp; |
()
| RStudio | &nbsp; |
()
| ruby | &nbsp; |
()
| scite | &nbsp; |
()
| [Serf](http://serf.apache.org/) | The serf library is a high performance C-based HTTP client library built upon the Apache Portable Runtime (APR) library |
()
| Singularity | &nbsp; |
()
| [Subversion](http://subversion.apache.org/) | Subversion is an open source version control system. |
()
| Szip | &nbsp; |
()
| tcl | &nbsp; |
()
| [tcsh](http://www.tcsh.org) | Tcsh is an enhanced, but completely compatible version of the Berkeley UNIX C shell (csh). It is a command language interpreter usable both as an interactive login shell and a shell script command processor. It includes a command-line editor, programmable word completion, spelling correction, a history mechanism, job control and a C-like syntax. |
()
| tk | &nbsp; |
()
| tmux | &nbsp; |
()
| totalview | &nbsp; |
()
| turbovnc | &nbsp; |
()
| util-linux | &nbsp; |
()
| valgrind | &nbsp; |
()
| vampir | &nbsp; |
()
| virtualgl | &nbsp; |
()
| VTune | &nbsp; |
()
| vtune_xe | &nbsp; |
()
| [XZ](http://tukaani.org/xz/) | xz: XZ utilities |

## Virtualization

| Module | Description |
| ------ | ----------- |
()
| qemu | &nbsp; |
()
| vde2 | &nbsp; |
()
| wine | &nbsp; |

## Vis

| Module | Description |
| ------ | ----------- |
()
| cairo | &nbsp; |
()
| [ffmpeg](https://www.ffmpeg.org/) | A complete, cross-platform solution to record, convert and stream audio and video. |
()
| [fixesproto](http://www.freedesktop.org/wiki/Software/xlibs) | X.org FixesProto protocol headers. |
()
| FLTK | &nbsp; |
()
| fontconfig | &nbsp; |
()
| [freetype](http://freetype.org) | FreeType 2 is a software font engine that is designed to be small, efficient, highly customizable, and portable while capable of producing high-quality output (glyph images). It can be used in graphics libraries, display servers, font conversion tools, text image generation tools, and many other products as well. |
()
| gettext | &nbsp; |
()
| GL2PS | &nbsp; |
()
| [GLib](http://www.gtk.org/) | GLib is one of the base libraries of the GTK+ project |
()
| gnuplot | &nbsp; |
()
| GraphicsMagick | &nbsp; |
()
| HarfBuzz | &nbsp; |
()
| [inputproto](http://www.freedesktop.org/wiki/Software/xlibs) | X.org InputProto protocol headers. |
()
| JasPer | &nbsp; |
()
| [kbproto](http://www.freedesktop.org/wiki/Software/xlibs) | X.org KBProto protocol headers. |
()
| libGLU | &nbsp; |
()
| [libICE](http://www.freedesktop.org/wiki/Software/xlibs) | X Inter-Client Exchange library for freedesktop.org |
()
| [libX11](http://www.freedesktop.org/wiki/Software/xlibs) | X11 client-side library |
()
| [libXau](http://www.freedesktop.org/wiki/Software/xlibs) | The libXau package contains a library implementing the X11 Authorization Protocol. This is useful for restricting client access to the display. |
()
| [libXdmcp](http://www.freedesktop.org/wiki/Software/xlibs) | The libXdmcp package contains a library implementing the X Display Manager Control Protocol. This is useful for allowing clients to interact with the X Display Manager. |
()
| [libXext](http://www.freedesktop.org/wiki/Software/xlibs) | Common X Extensions library |
()
| [libXfixes](http://www.freedesktop.org/wiki/Software/xlibs) | X Fixes extension library |
()
| [libXfont](http://www.freedesktop.org/wiki/Software/xlibs) | X font libary |
()
| libXinerama | &nbsp; |
()
| [libXt](http://www.freedesktop.org/wiki/Software/xlibs) | libXt provides the X Toolkit Intrinsics, an abstract widget library upon which other toolkits are based. Xt is the basis for many toolkits, including the Athena widgets (Xaw), and LessTif (a Motif implementation). |
()
| Mesa | &nbsp; |
()
| OSPRay | &nbsp; |
()
| Pango | &nbsp; |
()
| ParaView | &nbsp; |
()
| [pixman](http://www.pixman.org/) | Pixman is a low-level software library for pixel manipulation, providing features such as image compositing and trapezoid rasterization. Important users of pixman are the cairo graphics library and the X server. |
()
| Tk | &nbsp; |
()
| VTK | &nbsp; |
()
| X11 | &nbsp; |
